<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

class Google_Service_CloudSearch_TextPropertyOptions extends Google_Model
{
  protected $operatorOptionsType = 'Google_Service_CloudSearch_TextOperatorOptions';
  protected $operatorOptionsDataType = '';
  protected $retrievalImportanceType = 'Google_Service_CloudSearch_RetrievalImportance';
  protected $retrievalImportanceDataType = '';

  /**
   * @param Google_Service_CloudSearch_TextOperatorOptions
   */
  public function setOperatorOptions(Google_Service_CloudSearch_TextOperatorOptions $operatorOptions)
  {
    $this->operatorOptions = $operatorOptions;
  }
  /**
   * @return Google_Service_CloudSearch_TextOperatorOptions
   */
  public function getOperatorOptions()
  {
    return $this->operatorOptions;
  }
  /**
   * @param Google_Service_CloudSearch_RetrievalImportance
   */
  public function setRetrievalImportance(Google_Service_CloudSearch_RetrievalImportance $retrievalImportance)
  {
    $this->retrievalImportance = $retrievalImportance;
  }
  /**
   * @return Google_Service_CloudSearch_RetrievalImportance
   */
  public function getRetrievalImportance()
  {
    return $this->retrievalImportance;
  }
}
