<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

class Google_Service_Testing_AndroidTestLoop extends Google_Collection
{
  protected $collection_key = 'scenarios';
  protected $appApkType = 'Google_Service_Testing_FileReference';
  protected $appApkDataType = '';
  protected $appBundleType = 'Google_Service_Testing_AppBundle';
  protected $appBundleDataType = '';
  public $appPackageId;
  public $scenarioLabels;
  public $scenarios;

  /**
   * @param Google_Service_Testing_FileReference
   */
  public function setAppApk(Google_Service_Testing_FileReference $appApk)
  {
    $this->appApk = $appApk;
  }
  /**
   * @return Google_Service_Testing_FileReference
   */
  public function getAppApk()
  {
    return $this->appApk;
  }
  /**
   * @param Google_Service_Testing_AppBundle
   */
  public function setAppBundle(Google_Service_Testing_AppBundle $appBundle)
  {
    $this->appBundle = $appBundle;
  }
  /**
   * @return Google_Service_Testing_AppBundle
   */
  public function getAppBundle()
  {
    return $this->appBundle;
  }
  public function setAppPackageId($appPackageId)
  {
    $this->appPackageId = $appPackageId;
  }
  public function getAppPackageId()
  {
    return $this->appPackageId;
  }
  public function setScenarioLabels($scenarioLabels)
  {
    $this->scenarioLabels = $scenarioLabels;
  }
  public function getScenarioLabels()
  {
    return $this->scenarioLabels;
  }
  public function setScenarios($scenarios)
  {
    $this->scenarios = $scenarios;
  }
  public function getScenarios()
  {
    return $this->scenarios;
  }
}
